-- Ported from k_kart to Lua
tsrb2kr.HUD_FindCheckX = function(px, py, ang, mx, my)
	local dist, x
	local range = RING_DIST/3
	local diff

	range = $*gamespeed+1

	dist = abs(R_PointToDist2(px, py, mx, my))
	if dist > range
		return -320
	end

	diff = tsrb2kr.AngToInt(R_PointToAngle2(px, py, mx, my)) - ang

	if diff < 90 or diff > 270
		return -320
	else
		diff = $*ANG1
		x = (FixedMul(tan(diff, true), 160<<FRACBITS) + (160<<FRACBITS))>>FRACBITS
	end

	if encoremode
		x = 320-$
	end

	return x
end

tsrb2kr.HUD_DrawCheck = function(v, p)
	local flags = tsrb2kr.ReturnSplitFlags(V_SNAPTOBOTTOM, tsrb2kr.IsDisplayPlayer(p))

	if not p.mo or p.spectator return end
	if p.exiting then return end
	if p.awayviewtics /*or p.cmd.buttons & BT_LOOKBACK*/ return end

	for pl in players.iterate do
		local pnum = 1	-- check

		if pl == p or not pl.mo or not pl.mo.valid continue end
		if pl.tsr.team == p.tsr.team continue end
		
		if pl.kartstuff[k_invincibilitytimer] <= 0 and leveltime & 1
			pnum = $+1	-- white frames
		end

		-- we'll use frames 7~8 for TSR ult.

		if pl.kartstuff[k_itemtype] == KITEM_GROW or pl.kartstuff[k_growshrinktimer] > 0
			pnum = $+4	-- :Flatten:
		elseif pl.kartstuff[k_itemtype] == KITEM_INVINCIBILITY or pl.kartstuff[k_invincibilitytimer] > 0
			pnum = $+2
		elseif pl.mo.tsr_ultimateon or pl.tsr.ultimatebuffer
			pnum = $+6
		end

		local x = tsrb2kr.HUD_FindCheckX(p.mo.x, p.mo.y, tsrb2kr.AngToInt(p.mo.angle), pl.mo.x, pl.mo.y)
		if x < 320 and x > 0
			x = min($, 306)
			x = max($, 14)

			v.draw(x / (splitscreen > 1 and 2 or 1), splitscreen and 100 or 200, v.cachePatch("K_CHECK"..pnum), V_HUDTRANS|flags, v.getColormap(-1, tsrb2kr.ReturnTeamColor(pl.tsr.team)))
		end
	end
end