-- inputs, simplified for general use
tsrb2kr.Framework_Inputs = function(p)
	p.tsr.inputs = $ or {}	-- inputs

    local buttons = {
	BT_ACCELERATE, BT_DRIFT, BT_BRAKE, BT_ATTACK, BT_FORWARD, BT_BACKWARD,
	BT_CUSTOM1, BT_CUSTOM2, BT_CUSTOM3
	}

    -- handle these normal buttons
	for k, v in ipairs(buttons)
		p.tsr.inputs[v] = $ or 0	-- init
		p.tsr.inputs[v] = (p.cmd.buttons & v) and $+1 or 0
	end

    -- handle directional inputs
	local directions = {
		{"up", p.cmd.forwardmove > 16},
		{"down", p.cmd.forwardmove < -16},
		{"left", p.cmd.driftturn > 0},
		{"right", p.cmd.driftturn < 0},
	}
	if (encoremode)	-- flip left/right inputs
		directions[3] = {"left", p.cmd.driftturn < 0}
		directions[4] = {"right", p.cmd.driftturn > 0}
	end
	
	for k, v in ipairs(directions)
		p.tsr.inputs[v[1]] = $ or 0	-- init
		p.tsr.inputs[v[1]] = v[2] and $+1 or 0
	end
end