-- storing ultimate themes and adding custom ultimate music
tsrb2kr.ultimatemusic = {}
local ultmusic = tsrb2kr.ultimatemusic

-- vanilla cast
ultmusic["sonic"] = "TSRVIR"
ultmusic["tails"] = "TSRCHD"
ultmusic["knuckles"] = "TSRWIZ"
ultmusic["eggman"] = "TSREGG"
ultmusic["metalsonic"] = "TSRMVI"

-- bonuschars.kart
ultmusic["flicky"] = "TSRFKY"
ultmusic["motobug"] = "TSRMTO"
ultmusic["amy"] = "TSRRSE"
ultmusic["mighty"] = "TSRMR"
ultmusic["ray"] = "TSRMR"
ultmusic["espio"] = "TSRCTX"
ultmusic["vector"] = "TSRCTX"
ultmusic["chao"] = "TSRCAO"
ultmusic["gamma"] = "TSRGMA"
ultmusic["chaos"] = "TSRCHS"
ultmusic["shadow"] = "TSRCIR"
ultmusic["rouge"] = "TSRRGE"
ultmusic["herochao"] = "TSRCAO"
ultmusic["darkchao"] = "TSRCAO"
ultmusic["cream"] = "TSRRSE"
ultmusic["omega"] = "TSROMG"
ultmusic["blaze"] = "TSRBLZ"
ultmusic["silver"] = "TSRSVR"
ultmusic["wonderboy"] = "TSRWBY"
ultmusic["arle"] = "TSRARL"
ultmusic["nights"] = "TSRNGT"
ultmusic["ulala"] = "TSRULL"
ultmusic["sakura"] = "TSRSAK"
ultmusic["beat"] = "TSRBET"
ultmusic["vyse"] = "TSRVYS"
ultmusic["aiai"] = "TSRAII"
ultmusic["kiryu"] = "TSRKRU"
ultmusic["aigis"] = "TSRAGS"
ultmusic["miku"] = "TSRMKU"
ultmusic["doom"] = "TSRDOM"

// Yes, this causes an animechars leak. Too bad!
ultmusic["kanade"] = "TSRSSS"
ultmusic["yurippe"] = "TSRSSS"

COM_AddCommand("addultimatemusic", function(p, skin, music)
	if (p ~= consoleplayer) then return end
	
	if not (skin) then
		CONS_Printf(p, "addultimatemusic <skin> <music>: Adds ultimate music for a skin")
		return
	end
	
	if not (music) then error("no music lump provided") return end
	
	ultmusic[skin] = music
	CONS_Printf(p, "Ultimate music for \""..skin.."\" set to: ".."\x82"..music)
end)