tsrb2kr.HUD_DrawRankings = function(v, p)
	if (splitscreen) then return end	-- nope.
	
	local sortedteams = server.tsr_server.sortedteams
	if not (sortedteams and #sortedteams) then return end
	
	for i = 1, #sortedteams
		local scale = (p.tsr.team == sortedteams[i][1]) and FRACUNIT or FRACUNIT*85/100 -- 0.85 scale for teams that arent our own
		local offset = (p.tsr.team != sortedteams[i][1]) and 2 or 0
		local hx = 7
		
		-- left border
		v.drawScaled(hx<<FRACBITS, (58+(18*(i-1))+offset)<<FRACBITS, scale, v.cachePatch("K_TSRNK1"), V_SNAPTOLEFT|V_HUDTRANS, v.getColormap(-1, tsrb2kr.ReturnTeamColor(sortedteams[i][1])))
		hx = $+((5*scale)>>FRACBITS)
		-- player minimap icons
		for j = 1, #server.tsr_server.teams[sortedteams[i][1]]
			local tp = server.tsr_server.teams[sortedteams[i][1]][j] -- no way in fuck am I typing this so many times
			if not (tp and tp.valid) then continue end
			if not (tp.mo and tp.mo.valid) then continue end
			
			-- minimap icon
			local pp = v.cachePatch(skins[tp.mo.skin].facemmap)
			local bd_draw, bd_drawn = pp.width, 0
			while bd_draw
				local bd_change = 0
				if (bd_draw >= 12)
					//print(bd_draw.." left; draw long")
					v.drawScaled((hx<<FRACBITS) + (bd_drawn*scale), (58+(18*(i-1))+offset)<<FRACBITS, scale, v.cachePatch("K_TSRNKL"), V_SNAPTOLEFT|V_HUDTRANS, v.getColormap(-1, tsrb2kr.ReturnTeamColor(sortedteams[i][1])))
					bd_change = 12
				else
					//print(bd_draw.." left; draw short")
					v.drawScaled((hx<<FRACBITS) + (bd_drawn*scale), (58+(18*(i-1))+offset)<<FRACBITS, scale, v.cachePatch("K_TSRNK2"), V_SNAPTOLEFT|V_HUDTRANS, v.getColormap(-1, tsrb2kr.ReturnTeamColor(sortedteams[i][1])))
					bd_change = 1
				end
				bd_draw, bd_drawn = $-bd_change, $+bd_change
			end

			-- actual icon
			v.drawScaled((hx+pp.leftoffset)<<FRACBITS, ((59+(12-pp.height+pp.topoffset))+(18*(i-1))+offset)<<FRACBITS, scale, pp, V_SNAPTOLEFT|V_HUDTRANS, v.getColormap(tp.mo.skin, tp.skincolor))
			hx = $+((pp.width*scale)>>FRACBITS)
			-- have a clean gap between each player if it's not the last player on the team
			if (j != #server.tsr_server.teams[sortedteams[i][1]])
				v.drawScaled(hx<<FRACBITS, (58+(18*(i-1))+offset)<<FRACBITS, scale, v.cachePatch("K_TSRNK2"), V_SNAPTOLEFT|V_HUDTRANS, v.getColormap(-1, tsrb2kr.ReturnTeamColor(sortedteams[i][1])))
				hx = $+((1*scale)>>FRACBITS)
			end
		end
		-- right border
		v.drawScaled(hx<<FRACBITS, (58+(18*(i-1))+offset)<<FRACBITS, scale, v.cachePatch("K_TSRNK3"), V_SNAPTOLEFT|V_HUDTRANS, v.getColormap(-1, tsrb2kr.ReturnTeamColor(sortedteams[i][1])))
		-- now after all that draw what position they're in
		v.draw(3, 66+(18*(i-1)), v.cachePatch("OPPRNK0"..sortedteams[i][3]), V_SNAPTOLEFT|V_HUDTRANS)
	end
end